Bug 485317 - Phantom Bare Metal KS sessions created when KS profile created
Phantom Bare Metal KS sessions created when KS profile created
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
Depends On:
Blocks: 457075
  Show dependency treegraph
Reported: 2009-02-12 15:17 EST by Steve Salevan
Modified: 2009-09-10 15:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 15:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-02-12 15:17:09 EST
Description of problem:
If a user creates a kickstart profile and checks the Kickstart Overview page:


they will discover that an errant bare metal KS session has been created as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a kickstart profile
2. Visit /rhn/kickstart/KickstartOverview.do
Actual results:
Errant bare metal KS session created

Expected results:
No errant bare metal KS session created

Additional info:
Comment 1 Mike McCune 2009-04-01 12:36:18 EDT
prob just need to better filter the query that renders this page to not show the default kickstart sessions associated with each profile.
Comment 2 Justin Sherrill 2009-04-02 16:05:18 EDT
changed it such that if neither a server ID  nor a old profile is associated with the session, it is ignored.

Comment 3 Steve Salevan 2009-04-14 16:48:43 EDT
Tested and VERIFIED on 530-re20090413.0.
Comment 4 Milan Zázrivec 2009-08-13 05:36:00 EDT
Verified in stage -> RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 15:24:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.